Subject: Re: [bitcoin-dev] Full node "tip" function

From: Luke Dashjr <[email-masked]>
Date: Wed, 3 May 2017 23:21:13 +0000

I think paying for services is in general a great idea, but one that Bitcoin 
can much better serve once Lightning is in production. Not only does it enable 
cost-effective micro-transactions, it also should allow nodes to initiate 
payments before they have a synced node (which is something impractical at 
present).

On Wednesday 03 May 2017 9:08:35 PM Erik Aronesty via bitcoin-dev wrote:
> IDEA:
> 
> - Full nodes advertise a bitcoin address.   Users that need to download the
> block chain from that node can be encouraged to send a tip to the peers
> that served them (by % served).   Recommended tip of 10mbit should be fine.
> 
> - A full nodes can *require* a tip to download the blockchain.  If they do,
> users that don't specify a tip cannot use them.
> 
> CONS:
> 
> For some people, this may represent a barrier to hosting their own full
> node.   After all, if you have to pay $15 just to get a copy of the
> blockchain, that just adds to the already expensive prospect of hosting a
> full node.
> 
> PROS:
> 
> As long as you manage to stay online, you should get your money back and
> more.   This is the an incentive for quality, long term hosting.
> 
> In the long term, this should cause stable nodes to stick around longer.
> It also discourages "installation spam" attacks on the network.
> 
> Fees for other node operations can be considered if this is successful.